function [out] = simpson(in)

% integration of a vector following the simpson rule

n = size(in,2)

out(1)=0;
out(2)=0;
out(3)=0;
for i=1+3:n
    out(i) = out(i-1)+(3*in(i-3) + 9*in(i-2) + 9*in(i-1) + 3*in(i))/8;
end

return
